Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample Class Reference

## Public Types

typedef Sample | this_type
typedef Alembic::Util::shared_ptr< Abc::TypedArraySample< TRAITS > > | samp_ptr_type

## Public Member Functions

Abc::UInt32ArraySamplePtr | getIndices () const
samp_ptr_type | getVals () const
GeometryScope | getScope () const
bool | isIndexed () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes

samp_ptr_type | m_vals
Abc::UInt32ArraySamplePtr | m_indices
GeometryScope | m_scope
bool | m_isIndexed

## Friends

class | ITypedGeomParam< TRAITS >

The documentation for this class was generated from the following file:

- AbcGeom/IGeomParam.h